Bug 1780108 - Job invocation using Ansible commands stays stuck in pending state.
Summary: Job invocation using Ansible commands stays stuck in pending state.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Remote Execution
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: Adam Ruzicka
QA Contact: Jameer Pathan
URL:
Whiteboard:
Depends On:
Blocks: 1776151
TreeView+ depends on / blocked
 
Reported: 2019-12-05 12:14 UTC by Jameer Pathan
Modified: 2020-04-14 13:28 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-foreman_ansible-4.0.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28431 Normal Closed Job invocation using Ansible commands stays stuck in pending state. 2020-07-23 14:43:29 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:03 UTC

Description Jameer Pathan 2019-12-05 12:14:21 UTC
Description of problem:
Job invocation using Ansible commands stays in pending state.

Version-Release number of selected component (if applicable):
- Satellite 6.7.0 snap 4
- tfm-rubygem-foreman_remote_execution-2.0.4-1.el7sat.noarch

How reproducible:
- Always

Steps to Reproduce:
1. Go to Monitor > Jobs > Run Job
2. Select Ansible commands as Job category 
3. Provide Search querry and command to be run.

Actual results:
- Job invocation stays stuck in pending state.

Expected results:
- Job invocation should complete.(either fail/pass)

Additional info:

Comment 5 Adam Ruzicka 2019-12-05 12:53:27 UTC
Created redmine issue https://projects.theforeman.org/issues/28431 from this bug

Comment 6 Bryan Kearney 2019-12-05 17:02:22 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28431 has been resolved.

Comment 7 Jameer Pathan 2019-12-23 13:15:48 UTC
FailedQA

-tfm-rubygem-foreman_ansible-4.0.3-1.el7sat.noarch 

Test steps:
1. Go to Monitor > Jobs > Run Job
2. Select Ansible commands as Job category 
3. Provide Search querry and command to be run.

Observation:
- Still able to reproduce the issue.

Comment 8 Jameer Pathan 2019-12-24 06:16:15 UTC
ignore comment#7

Verified

- Satellite 6.7.0 snap 7 
-tfm-rubygem-foreman_ansible-4.0.3-1.el7sat.noarch

Test steps:
1. Go to Monitor > Jobs > Run Job
2. Select Ansible commands as Job category 
3. Provide Search querry and command to be run.

Observation:
- Job invocation should completed successfully.

Comment 11 errata-xmlrpc 2020-04-14 13:27:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.